<?php

namespace App\Http\Controllers;

use App\Http\Requests\ChecklistVersionRequest;
use App\Services\ChecklistVersionService;

class ChecklistVersionController extends Controller
{

    private $checklistversionService;

	public function __construct(ChecklistVersionService $checklistversionService)
	{
		$this->checklistversionService = $checklistversionService;
	}

    public function index()
    {
        $checklistversions = $this->checklistversionService->getAll();

        return response()->json($checklistversions, 201);
    }

    public function store(ChecklistVersionRequest $request)
    {
        $checklistversion = $this->checklistversionService->save($request->all());

        return response()->json($checklistversion, 201);
    }

    public function show($id)
    {
        $checklistversion = $this->checklistversionService->get($id);

        return response()->json($checklistversion);
    }

    public function destroy($id)
    {
      	$this->checklistversionService->delete($id);
        return response()->json(null, 204);
    }
}